Skip to main content
Create third party plugin.
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Body

application/json

The payload to configure the third party associated with a particular integration.

name
string
required

User defined name of the third party plugin request, unique across the enterprise. Once object is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the third party entity. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
integrationType
enum<string>
default:PLUGIN_INTEGRATION_TYPE_UNSPECIFIED
required

Type of desired integration type

Available options:
PLUGIN_INTEGRATION_TYPE_UNSPECIFIED,
PLUGIN_INTEGRATION_TYPE_DATA,
PLUGIN_INTEGRATION_TYPE_CLOUD,
PLUGIN_INTEGRATION_TYPE_STORAGE,
PLUGIN_INTEGRATION_TYPE_MONITORING,
PLUGIN_INTEGRATION_TYPE_ORCHESTRATOR
pluginType
enum<string>
default:PLUGIN_TYPE_UNSPECIFIED
required

type of actual integration

Available options:
PLUGIN_TYPE_UNSPECIFIED,
PLUGIN_TYPE_SPLUNK,
PLUGIN_TYPE_HTTP,
PLUGIN_TYPE_RANCHER,
PLUGIN_TYPE_VMWARE_VCO,
PLUGIN_TYPE_VMWARE_TMC,
PLUGIN_TYPE_OTEL
description
string

Detailed description of the third party entity.

Maximum string length: 256
objectType
enum<string>
default:OBJECT_TYPE_UNSPECIFIED

object type to which this third party integration is associated, can project, cluster etc.

Available options:
OBJECT_TYPE_UNSPECIFIED,
OBJECT_TYPE_USER,
OBJECT_TYPE_EDGE_NODE,
OBJECT_TYPE_EDGE_APP,
OBJECT_TYPE_IMAGE,
OBJECT_TYPE_EDGE_APP_INSTANCE,
OBJECT_TYPE_PROJECT,
OBJECT_TYPE_NETWORK,
OBJECT_TYPE_DATASTORE,
OBJECT_TYPE_SERVICE,
OBJECT_TYPE_SERVICE_INSTANCE,
OBJECT_TYPE_ENTERPRISE,
OBJECT_TYPE_ROLE,
OBJECT_TYPE_CREDENTIAL,
OBJECT_TYPE_NETWORK_INSTANCE,
OBJECT_TYPE_VOLUME_INSTANCE,
OBJECT_TYPE_REALM,
OBJECT_TYPE_AUTHPROFILE,
OBJECT_TYPE_POLICY,
OBJECT_TYPE_APP_POLICY,
OBJECT_TYPE_CLUSTER_INSTANCE,
OBJECT_TYPE_PLUGIN,
OBJECT_TYPE_DOC_POLICY,
OBJECT_TYPE_ORCHESTRATOR_CLUSTER,
OBJECT_TYPE_TAGS,
OBJECT_TYPE_EDGE_NODE_INTERFACE,
OBJECT_TYPE_DEPLOYMENT,
OBJECT_TYPE_ENTITLEMENTS,
OBJECT_TYPE_DATA_STREAM,
OBJECT_TYPE_API_USAGE,
OBJECT_TYPE_APP_INSTANCE_SNAPSHOT,
OBJECT_TYPE_PATCH_ENVELOPE,
OBJECT_TYPE_RESOURCE_USAGE_TRACK,
OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE,
OBJECT_TYPE_DEV_PASSTHROUGH,
OBJECT_TYPE_EDGE_NODE_CLUSTER,
OBJECT_TYPE_ASSET_GROUP,
OBJECT_TYPE_APP_PROFILE,
OBJECT_TYPE_PROFILE_DEPLOYMENT,
OBJECT_TYPE_ZKS_INSTANCE,
OBJECT_TYPE_CLUSTER_GROUP
objectId
string

objectId to which this third party integration is associated

statusMessage
string

Detailed status message of the third party.

Maximum string length: 256
splunkConfig
config required for configuring splunk · object

The payload to configure the splunk third party plugin.

httpConfig
Http configuration required for the http plugin integration · object

The payload to configure the http third party plugin.

rancherConfig
Configuration required for the cluster orchestrator integration · object

The payload to configure the third party cluster orchestrator.

vmwareVCOConfig
object
vmwareTMCConfig
object
openTelemetryConfig
OpenTelemetry Configuration · object

The payload to configure the OpenTelemetry collector endpoint.

Response

A successful response.

operationType
enum<string>
default:OPS_TYPE_UNSPECIFIED
Available options:
OPS_TYPE_UNSPECIFIED,
OPS_TYPE_READ,
OPS_TYPE_DELETE,
OPS_TYPE_CREATE,
OPS_TYPE_UPDATE,
OPS_TYPE_LIST
operationStatus
enum<string>
default:OPS_STATUS_UNSPECIFIED
  • OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
  • OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
  • OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
Available options:
OPS_STATUS_UNSPECIFIED,
OPS_STATUS_PENDING,
OPS_STATUS_ONGOING,
OPS_STATUS_COMPLETE
objectKind
string
objectId
string
objectName
string
objectRevision
string
objectType
enum<string>
default:OBJECT_TYPE_UNSPECIFIED
Available options:
OBJECT_TYPE_UNSPECIFIED,
OBJECT_TYPE_USER,
OBJECT_TYPE_EDGE_NODE,
OBJECT_TYPE_EDGE_APP,
OBJECT_TYPE_IMAGE,
OBJECT_TYPE_EDGE_APP_INSTANCE,
OBJECT_TYPE_PROJECT,
OBJECT_TYPE_NETWORK,
OBJECT_TYPE_DATASTORE,
OBJECT_TYPE_SERVICE,
OBJECT_TYPE_SERVICE_INSTANCE,
OBJECT_TYPE_ENTERPRISE,
OBJECT_TYPE_ROLE,
OBJECT_TYPE_CREDENTIAL,
OBJECT_TYPE_NETWORK_INSTANCE,
OBJECT_TYPE_VOLUME_INSTANCE,
OBJECT_TYPE_REALM,
OBJECT_TYPE_AUTHPROFILE,
OBJECT_TYPE_POLICY,
OBJECT_TYPE_APP_POLICY,
OBJECT_TYPE_CLUSTER_INSTANCE,
OBJECT_TYPE_PLUGIN,
OBJECT_TYPE_DOC_POLICY,
OBJECT_TYPE_ORCHESTRATOR_CLUSTER,
OBJECT_TYPE_TAGS,
OBJECT_TYPE_EDGE_NODE_INTERFACE,
OBJECT_TYPE_DEPLOYMENT,
OBJECT_TYPE_ENTITLEMENTS,
OBJECT_TYPE_DATA_STREAM,
OBJECT_TYPE_API_USAGE,
OBJECT_TYPE_APP_INSTANCE_SNAPSHOT,
OBJECT_TYPE_PATCH_ENVELOPE,
OBJECT_TYPE_RESOURCE_USAGE_TRACK,
OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE,
OBJECT_TYPE_DEV_PASSTHROUGH,
OBJECT_TYPE_EDGE_NODE_CLUSTER,
OBJECT_TYPE_ASSET_GROUP,
OBJECT_TYPE_APP_PROFILE,
OBJECT_TYPE_PROFILE_DEPLOYMENT,
OBJECT_TYPE_ZKS_INSTANCE,
OBJECT_TYPE_CLUSTER_GROUP
operationTime
string
startTime
string
endTime
string
user
string
httpStatusCode
integer<int32>
httpStatusMsg
string
jobId
string
error
one or more errors will be set if the operation failed i.e. httpStatusCode != 2xx · object[]